A critical bug was left in the 'stable' release for months, today they tell node operators to downgrade to a release from 2019 Downgrading so far requires re-syncing from scratch, which for some node configurations will take months oops